{#<pagetitle>NHS.UK | Vaccinated person - DOB</pagetitle>#}
{% from '../../../common/components/checkboxes/macro.njk' import checkboxes %}
{% from '../../../common/components/heading/macro.njk' import heading %}
{% from '../../../common/components/input/macro.njk' import input %}
{% from '../../../common/components/button/macro.njk' import button %}
{% from 'components/hint/macro.njk' import hint %}
{% from '../../../common/components/p/macro.njk' import p %}

<form action="polio-dob" class="form" method="post" name="aboutYouDOB">
  <div class="nhsuk-form-group {{ 'nhsuk-form-group--error' if errors }}">
    <fieldset class="nhsuk-fieldset" role="group">
      <legend class="nhsuk-fieldset__legend nhsuk-label--l">
        {{ heading({
                subHeading: { text: 'polio-dob.section.heading'},
                text:  'polio-dob.h1',
                classes: 'nhsuk-heading-l govuk-heading-l',
                locale: locale
            }) }}
      </legend>

      {{ p({text:'polio-dob.hint', classes:'nhsuk-hint', locale: locale}) }}

      {% if errors %}
        <div class="nhsuk-error-summary__body">
          {% for error in errors %}
            <span class="nhsuk-error-message" id="{{error.param}}-error">
              {{ __({phrase: error.msg, locale: error.locale }) }}
            </span>
          {% endfor %}
        </div>
      {% endif %}

      {{ input({
        "formGroup": {
               classes: "nhsuk-date-input__item"
        },
         "label": {
           "text": 'polio-dob.input1',
           locale: locale
         },

      id: "dobDay",
      name: "dobDay",
      classes: "nhsuk-input--width-2",
      value:  data.VaccinatedPersonDetails.VpDateOfBirth | getDigitFromDate('day', data.body.dobDay) ,
      inputmode: "numeric"
    }) }}
      {{ input({
        "formGroup": {
               classes: "nhsuk-date-input__item"
        },
        "fieldset": {
               classes: "nhsuk-date-input__item"
        },
         "label": {
           "text": 'polio-dob.input2',
           locale: locale
         },

      id: "dobMonth",
      name: "dobMonth",
      classes: "nhsuk-input--width-2",
      value: data.VaccinatedPersonDetails.VpDateOfBirth | getDigitFromDate('month', data.body.dobMonth) ,
      inputmode: "numeric"
    }) }}
      {{ input({
        "formGroup": {
               classes: "nhsuk-date-input__item"
        },
        "fieldset": {
               classes: "nhsuk-date-input__item"
        },
         "label": {
          "text": 'polio-dob.input3',
          locale: locale
         },

      id: "dobYear",
      name: "dobYear",
      classes: "nhsuk-input--width-4",
      value: data.VaccinatedPersonDetails.VpDateOfBirth | getDigitFromDate('year', data.body.dobYear) ,
      inputmode: "numeric"
    }) }}

    </fieldset>
  </div>
  <br/>
  {{ button({
      type: "submit",
      text: "common.button.continue",
      locale: locale
    }) }}
</form>